import Footer from "@/components/global/Footer";
import Header from "@/components/global/Header";
import { Toaster } from "sonner";

export default async function NormalLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <div className="flex flex-col min-h-screen min-w-screen">
      <header className="sticky top-0 z-50 h-14 w-full border-b bg-background/95 backdrop-blur supports-[backdrop-filter]:bg-background/60 px-4 py-2">
        <Header />
      </header>
      <main className="container mx-auto px-4 py-8">
        {children}
      </main>
      <footer className="mt-auto px-4 py-2 h-14 border-t bg-background/95 backdrop-blur supports-[backdrop-filter]:bg-background/60 ">
        <Footer />
      </footer>
      <Toaster />
    </div>
  );
}
