import { Tooltip, TooltipContent, TooltipProvider, TooltipTrigger } from "../ui/tooltip";
import AnimateToggle from "./AnimateToggle";
import Breadcrumbs from "./Breadcrumbs";
import ModeToggle from "./ModeToggle";
import NSFWToggle from "./NSFWToggle";
import TopNav from "./TopNav";

export default function Header() {
  return (
    <TooltipProvider>
      <div className="flex flex-col gap-4">
        <div className="flex items-center justify-between">
          <Breadcrumbs />
          <div className="flex gap-4">
            <Tooltip>
              <TooltipTrigger asChild>
                <div>
                  <TopNav />
                </div>
              </TooltipTrigger>
              <TooltipContent side="bottom">
                <p>Navigate to the about page</p>
              </TooltipContent>
            </Tooltip>
            <Tooltip>
              <TooltipTrigger asChild>
                <div>
                  <AnimateToggle />
                </div>
              </TooltipTrigger>
              <TooltipContent side="bottom">
                <p>Toggle glowing animated borders on image cards</p>
              </TooltipContent>
            </Tooltip>
            <Tooltip>
              <TooltipTrigger asChild>
                <div>
                  <NSFWToggle />
                </div>
              </TooltipTrigger>
              <TooltipContent side="bottom">
                <p>Show or hide NSFW (blurred) images</p>
              </TooltipContent>
            </Tooltip>
            <Tooltip>
              <TooltipTrigger asChild>
                <div>
                  <ModeToggle />
                </div>
              </TooltipTrigger>
              <TooltipContent side="bottom">
                <p>Switch between light and dark mode</p>
              </TooltipContent>
            </Tooltip>
          </div>
        </div>
      </div>
    </TooltipProvider>
  );
}